# TdApi.FinishFileGeneration (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: FinishFileGeneration

Package it.tdlight.jni

# Class TdApi.FinishFileGeneration

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.FinishFileGeneration

Enclosing class:
  TdApi

    public static class TdApi.FinishFileGeneration
    extends TdApi.Function

Finishes the file generation.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.Error` | `error` | If passed, the file generation has failed and must be terminated; pass null if the file generation succeeded.
`long` | `generationId` | The identifier of the generation process.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`FinishFileGeneration()` | Finishes the file generation.
`FinishFileGeneration​(long generationId, TdApi.Error error)` | Finishes the file generation.
`FinishFileGeneration​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### generationId

public long generationId
The identifier of the generation process.

### error

public TdApi.Error error
If passed, the file generation has failed and must be terminated; pass null if the file generation succeeded.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### FinishFileGeneration

public FinishFileGeneration()
Finishes the file generation.

Returns `Ok`

### FinishFileGeneration

public FinishFileGeneration​(long generationId, TdApi.Error error)
Finishes the file generation.

Returns `Ok`

Parameters:
  `generationId` - long The identifier of the generation process.
  `error` - Error If passed, the file generation has failed and must be terminated; pass null if the file generation succeeded.

### FinishFileGeneration

public FinishFileGeneration​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`